#ifndef LOGINDIALOG_H
#define LOGINDIALOG_H

#include <QDialog>
#include<iostream>
#include<vector>
#include <map>
#include <openssl/sha.h>
#include <fstream>
#include<sstream> 

class QLabel;
class QLineEdit;
class QPushButton;


class LoginDialog : public QDialog
{
    Q_OBJECT
public:
    explicit LoginDialog(QWidget *parent = 0);
    ~LoginDialog();
    int checkUser(const QString username, const QString pwd);
    QString hashPassword(const QString& pwd);
    std::string hashPassword(const std::string& password); // 重载
    void createUser();
    void writeHash(const std::vector<std::string> usernames, const std::vector<std::string> pwds);
    void writeHash(const std::map<QString, QString>);
    // 待解锁组件名
    std::vector<QString> setting_name; 

//槽函数
private Q_SLOTS:
    void login();

private:
    QLabel *userLabel;
    QLabel *pwdLabel;

    QLineEdit *userEditLine;
    QLineEdit *pwdEditLine;

    QPushButton *loginBtn;
    QPushButton *exitBtn;
    // 待解锁组件名
    // std::vector<QString> setting_name; 
    // 用户表
    std::map<QString, QString> userPasswords;
    std::string user_file_name;

};

#endif // LOGINDIALOG_H

